Sound: Get standard deviation...

A command available in the Query submenu if you select a Sound object. The Info window will show the standard deviation (in Pascal) of the sound pressure within a specified window. If the sound contains less than 2 samples, the value is undefined.

## Setting

Time range (s)
  the time range (t1, t2). Values outside this range are ignored. If t1 is not less than t2, the entire time domain of the sound is considered.

## Mathematical definition

The standard deviation is defined as

1/(t2-t1) ∫t1t2 (x(t) - μ)2 dt

where x(t) is the amplitude of the sound, and μ is its mean. For our discrete Sound object, the standard deviation is approximated by

1/(n−1) ∑i=m..m+n−1 (xi − μ)2

where n is the number of sample centres between t1 and t2. Note the inus 1